Skip to main content
POST
/
api
/
contact
/
{contactId}
/
files
Agregar Archivos al Contacto
curl --request POST \
  --url https://api.plazbot.com/api/contact/{contactId}/files \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --header 'x-workspace-id: <x-workspace-id>' \
  --form contentFile='@example-file'
import requests

url = "https://api.plazbot.com/api/contact/{contactId}/files"

files = { "contentFile": ("example-file", open("example-file", "rb")) }
headers = {
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>"
}

response = requests.post(url, files=files, headers=headers)

print(response.text)
const form = new FormData();
form.append('contentFile', '<string>');

const options = {
method: 'POST',
headers: {'x-workspace-id': '<x-workspace-id>', Authorization: 'Bearer <token>'}
};

options.body = form;

fetch('https://api.plazbot.com/api/contact/{contactId}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "code": 123,
  "errorCode": "<string>",
  "message": "<string>",
  "data": {}
}
{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}
{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}
{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}
{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}

Authorizations

Authorization
string
header
required

Token de autenticacion Bearer. Obtenga el token usando el endpoint /api/user/login

Headers

x-workspace-id
string
required

Identificador del workspace

Path Parameters

contactId
string
required

ID del contacto

Query Parameters

workspaceId
string

Identificador del workspace

Body

multipart/form-data
contentFile
file
required

Archivo a subir

Response

Archivos agregados exitosamente al contacto

success
boolean
required

Indica si la operacion fue exitosa

code
integer
required

Codigo HTTP de la respuesta

errorCode
string | null
required

Codigo de error, null si no hay error

message
string
required

Mensaje descriptivo del resultado

data
object | null
required

Datos de la respuesta